Enterprise Premium Timeseries Distribution
curl --request GET \
--url https://ebn.telemetree.io/public-api/enterprise/{handle}/premium-timeseries \
--header 'x-api-key: <api-key>'import requests
url = "https://ebn.telemetree.io/public-api/enterprise/{handle}/premium-timeseries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ebn.telemetree.io/public-api/enterprise/{handle}/premium-timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"handle": "<string>",
"data": [
{
"date": "2023-11-07T05:31:56Z",
"premium_users": 0,
"non_premium_users": 0
}
],
"status_code": 200,
"message": "Success"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Enterprise API
Enterprise Premium Timeseries Distribution
Enterprise API
Description: Retrieves the premium/non-premium users distribution based on the specified handle for the last 60 days.
Parameters:
handle: The handle of the application (ensure it does not include @)
Header
x-api-key: Your API Key (Dashboard->Settings)
Returns:
ApplicationPremiumTimeseriesResponse: The response containing the premium/non-premium users distribution. It contains the following fields:data: The list of premium/non-premium users distribution with the following fields:date: The date of the distribution.premium_users: The number of premium users.non_premium_users: The number of non-premium users.
handle: The handle of the application.status_code: The status code of the response.message: The message of the response.
GET
/
enterprise
/
{handle}
/
premium-timeseries
Enterprise Premium Timeseries Distribution
Authorizations
Your API Key (Dashboard->Settings)
Path Parameters
Handle of the application